Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl
Class XML11EntityManager

    java.lang.Object
      weblogic.apache.xerces.impl.XMLEntityManager
          weblogic.apache.xerces.impl.XML11EntityManager

All Implemented Interfaces:
  XMLComponent, XMLEntityResolver

Deprecated. please use JDK supplied XML parsers and transformers

public class XML11EntityManager
extends XMLEntityManager

The entity manager handles the registration of general and parameter entities; resolves entities; and starts entities. The entity manager is a central component in a standard parser configuration and this class works directly with the entity scanner to manage the underlying xni.

This component requires the following features and properties from the component manager that uses it:

- http://xml.org/sax/features/validation
- http://xml.org/sax/features/external-general-entities
- http://xml.org/sax/features/external-parameter-entities
- http://apache.org/xml/features/allow-java-encodings
- http://apache.org/xml/properties/internal/symbol-table
- http://apache.org/xml/properties/internal/error-reporter
- http://apache.org/xml/properties/internal/entity-resolver

Nested Class Summary
`protected class` | `XML11EntityManager.XML11EntityScanner` Deprecated. Implements the entity scanner methods.

Nested classes inherited from class weblogic.apache.xerces.impl.XMLEntityManager
`XMLEntityManager.Entity, XMLEntityManager.EntityScanner, XMLEntityManager.ExternalEntity, XMLEntityManager.InternalEntity, XMLEntityManager.RewindableInputStream, XMLEntityManager.ScannedEntity`

Field Summary

Fields inherited from class weblogic.apache.xerces.impl.XMLEntityManager
`ALLOW_JAVA_ENCODINGS, BUFFER_SIZE, DEFAULT_BUFFER_SIZE, DEFAULT_INTERNAL_BUFFER_SIZE, DEFAULT_XMLDECL_BUFFER_SIZE, ENTITY_RESOLVER, ERROR_REPORTER, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, fAllowJavaEncodings, fBufferSize, fCurrentEntity, fDeclaredEntities, fEntities, fEntityExpansionCount, fEntityExpansionLimit, fEntityHandler, fEntityResolver, fEntityScanner, fEntityStack, fErrorReporter, fExternalGeneralEntities, fExternalParameterEntities, fOwnReaders, fSecurityManager, fStandalone, fSymbolTable, fValidation, fValidationManager, fWarnDuplicateEntityDef, SECURITY_MANAGER, SYMBOL_TABLE, VALIDATION, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ENTITYDEF`

Constructor Summary
`XML11EntityManager()` Deprecated. Default constructor.
`XML11EntityManager(XMLEntityManager entityManager)` Deprecated. Constructs an entity manager that shares the specified entity declarations during each parse.

Method Summary
`protected XMLEntityScanner` | `createEntityScanner()` Deprecated.

Methods inherited from class weblogic.apache.xerces.impl.XMLEntityManager
`addExternalEntity, addInternalEntity, addUnparsedEntity, closeReaders, createReader, endEntity, expandSystemId, expandSystemId, fixURI, getEncodingName, getEntityScanner, getRecognizedFeatures, getRecognizedProperties, isDeclaredEntity, isExternalEntity, isStandalone, isUnparsedEntity, reset, resolveEntity, setEntityHandler, setFeature, setProperty, setStandalone, startDocumentEntity, startDTDEntity, startEntity, startEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XML11EntityManager

    public XML11EntityManager()

  Deprecated.
  Default constructor.

### XML11EntityManager

    public XML11EntityManager(XMLEntityManager entityManager)

  Deprecated.
  Constructs an entity manager that shares the specified entity declarations during each parse.

  REVISIT: We might want to think about the "right" way to expose the list of declared entities. For now, the knowledge how to access the entity declarations is implicit.

Method Detail

### createEntityScanner

    protected XMLEntityScanner createEntityScanner()

  Deprecated.
  Overrides:
    `createEntityScanner` in class `XMLEntityManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD